Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get SSO user

Prev Next

Available in Classic and VPC

Get SSO user details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/users/{userId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
userId String Required SSO user ID

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/users/80d9ba0d-****-****-****-76afe6ea5b33' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
userId String - SSO user ID
loginId String - SSO user login ID
nrn String - NAVER Cloud Platform resource identification value for SSO user
userProfile Object - SSO user profile information
userProfile.firstName String - SSO user name
userProfile.lastName String - SSO user last name
userProfile.email String - SSO user email address
userProfile.emailVerified Boolean - Email address verification status
  • true | false
    • true: verification completed
    • false: verification required
userProfile.empNo String - SSO user employee number
userProfile.phoneCountryCode String - SSO user country number
userProfile.phoneNo String - SSO user mobile phone number
userProfile.phoneNoVerified Boolean - Mobile phone number verification status
  • true | false
    • true: verification completed
    • false: verification required
userProfile.deptName String - SSO user department name
accessRules Object - Access rule information
accessRules.consoleAccessAllowed Boolean - Whether to allow console access
  • true | false
    • true: allow
    • false: not allow
accessRules.apiAccessAllowed Boolean - Whether to allow API Gateway access
  • true | false
    • true: allow
    • false: not allow
status String - SSO user status
  • active | suspended
    • active: in use (enabled)
    • suspended: suspended (disabled)
description String - SSO user description
lastLoginAt String - SSO user last access date and time
  • ISO 8601 format
createdAt String - SSO user creation date and time
  • ISO 8601 format
updatedAt String - SSO user modification date and time
  • ISO 8601 format

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "page": 0,
    "totalPages": 1,
    "totalItems": 1,
    "isFirst": true,
    "isLast": true,
    "hasPrevious": false,
    "hasNext": false,
    "items": [
        {
            "userId": "80d9ba0d-****-****-****-76afe6ea5b33",
            "loginId": "******@ncloud.com",
            "nrn": "nrn:PUB:SSO::*******:User/80d9ba0d-****-****-****-76afe6ea5b33",
            "userProfile": {
                "firstName": "Gildong",
                "lastName": "Hong",
                "email": "******@ncloud.com",
                "emailVerified": true,
                "empNo": "00112233",
                "phoneCountryCode": "82",
                "phoneNo": "010-0000-0000",
                "phoneNoVerified": true,
                "deptName": "Department"
            },
            "accessRules": {
                "consoleAccessAllowed": true,
                "apiAccessAllowed": true
            },
            "status": "active",
            "createdAt": "2025-01-03T05:08:42Z",
            "updatedAt": "2025-01-03T05:08:42Z",
            "description": "SSO User"
        }
    ]
}